> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Indicator Mappings



## OpenAPI

````yaml GET /v1/indicator-mappings
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/indicator-mappings:
    get:
      tags:
        - indicator-mappings
      summary: List Indicator Mappings
      operationId: list_indicator_mappings_v1_indicator_mappings_get
      parameters:
        - name: source_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source Name
        - name: is_system
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is System
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Active
        - name: extraction_target
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Extraction Target
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Items per page (max 500)
            default: 50
            title: Page Size
          description: Items per page (max 500)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_IndicatorFieldMappingResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_IndicatorFieldMappingResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/IndicatorFieldMappingResponse'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
      required:
        - data
        - meta
      title: PaginatedResponse[IndicatorFieldMappingResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IndicatorFieldMappingResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Name
        field_path:
          type: string
          title: Field Path
        indicator_type:
          type: string
          title: Indicator Type
        extraction_target:
          type: string
          title: Extraction Target
        is_system:
          type: boolean
          title: Is System
        is_active:
          type: boolean
          title: Is Active
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - source_name
        - field_path
        - indicator_type
        - extraction_target
        - is_system
        - is_active
        - description
        - created_at
        - updated_at
      title: IndicatorFieldMappingResponse
    PaginationMeta:
      properties:
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - total
        - page
        - page_size
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````